> For the complete documentation index, see [llms.txt](https://docs.licensespring.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.licensespring.com/floating-server/floating-server-v1/user-interface/generating-reports.md).

# Generating Reports

Reports page allows you to see reports and statistics about usage of licenses.

![Reports Page](https://content.gitbook.com/content/gLzurdfXUuKr9IziZWLz/blobs/3Gwu4R5iaMv0uNt35gb2/OQd3dpT56Vwam_%20zcyXnN_screenshot%202023%2006%2021%20at%20143709.png)

After selecting a product, you are able to see detailed reports for that product:

![Detailed Product Reports](https://content.gitbook.com/content/gLzurdfXUuKr9IziZWLz/blobs/VJHB1n9FwH4smMUk1odT/PX3nwBudkxpwygAdjESgE_reportzyni2tq.png)

### Report Types

{% stepper %}
{% step %}

### Average slot usage

Average license slot usage per day (%)

**Average slot usage** chart displays the average usage percentage per day over the specified time range for some product, where percentage is calculated as slotsUsed / maxSlots.
{% endstep %}

{% step %}

### Max daily users

Maximum users logged in for each day

**Max daily users** chart displays maximum number of daily users for some product over the specified time range.
{% endstep %}

{% step %}

### Max slots reached

How many times were max license slots reached per day

**Max slots reached** chart displays the maximum number of slots that was reached for the specified product on each day over the specified time range.
{% endstep %}
{% endstepper %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.licensespring.com/floating-server/floating-server-v1/user-interface/generating-reports.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
